// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('lzgf', ['ionic', 
	'lzgf.config',
	'ngResource',
	'lzgf.controllers',
	'lzgf.controllers.content',
	'lzgf.controllers.zcxx',
	'lzgf.controllers.reg',
	'lzgf.controllers.login',
	'lzgf.controllers.sqbx',
	'lzgf.controllers.tsjy',
	'lzgf.services',
	'lzgf.services.content',
	'lzgf.services.zcxx',
	'lzgf.services.login',
	'lzgf.services.tsjy',
	'lzgf.services.reg',
	'lzgf.services.sqbx',
	'lzgf.services.UDI',
	'lzgf.services.upload',
	'lzgf.routers.content',
	'lzgf.routers.zcxx',
	'lzgf.routers.reg',
	'lzgf.routers.login',
	'lzgf.routers.sqbx',
	'lzgf.routers.tsjy',
	'ionic-native-transitions',
	'ngCordova',
	'ionicLazyLoad',
	'ion-gallery'])

.run(function($ionicPlatform, $rootScope, $state, $location, $timeout, $ionicHistory, $ionicPopup) {
	  $ionicPlatform.ready(function() {
	    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
	    // for form inputs)
	    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
	      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
	      cordova.plugins.Keyboard.disableScroll(true);
	
	    }
	    if (window.StatusBar) {
	      // org.apache.cordova.statusbar required
	      StatusBar.styleDefault();
	    }
	  });
	  //首页双击退出
		$ionicPlatform.registerBackButtonAction(function (e) {
			//判断处于哪个页面时双击退出
			if ($location.path() == '/content') {
				if ($rootScope.backButtonPressedOnceToExit) {
					ionic.Platform.exitApp();
				} else {
					$rootScope.backButtonPressedOnceToExit = true;
					showLongBottomAlert('再按一次退出！');
					setTimeout(function () {
						$rootScope.backButtonPressedOnceToExit = false;
					}, 2000);
				}
			}
			else if ($ionicHistory.backView()) {
				$ionicHistory.goBack();
			} else {
				if ($rootScope.backButtonPressedOnceToExit) {
					ionic.Platform.exitApp();
				} else {
					$rootScope.backButtonPressedOnceToExit = true;
					showLongBottomAlert('再按一次退出！');
					setTimeout(function () {
						$rootScope.backButtonPressedOnceToExit = false;
					}, 2000);
				}
			}
			e.preventDefault();
			return false;
		}, 101);
	  $rootScope.alert = function (template, title) {
		    if (typeof(cordova) != 'undefined') {
			    showAlert(template);
		    }
		    else {
			    var alertPopup = $ionicPopup.alert({
				    title: title? ("<span class='tm-grey9'>" + title + "</span>") : "<span class='tm-grey9'>信息提示</span>",
				    template: template? ("<p class='text-center'>" + template + "</p>") : "<p class='text-center'>您有新消息</p>",
				    okText:'确定',
				    okType:"button-balanced"
			    });
			    return alertPopup;
		    }
	    };
})

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider, $ionicNativeTransitionsProvider, $httpProvider) {
	/*用于处理请求post方式的header结构
	 * 默认情况下，jQuery传输数据使用Content-Type: x-www-form-urlencodedand和类似于"foo=bar&baz=moe"的序列，
	 * 然而AngularJS，传输数据使用Content-Type: application/json和{ "foo": "bar", "baz": "moe" }这样的json序列。
	 */
	$httpProvider.defaults.headers.put['Content-Type'] = 'application/x-www-form-urlencoded';
	$httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';

	// Override $http service's default transformRequest
	$httpProvider.defaults.transformRequest = [function(data) {
	/*
	 * The workhorse; converts an object to x-www-form-urlencoded serialization.
	 * @param {Object} obj
	 * @return {String}
	 */
	var param = function(obj) {
			var query = '';
			var name, value, fullSubName, subName, subValue, innerObj, i;
			
			for (name in obj) {
				value = obj[name];
				
				if (value instanceof Array) {
					for (i = 0; i < value.length; ++i) {
						subValue = value[i];
						fullSubName = name + '[' + i + ']';
						innerObj = {};
						innerObj[fullSubName] = subValue;
						query += param(innerObj) + '&';
					}
				} else if (value instanceof Object) {
					for (subName in value) {
						subValue = value[subName];
						fullSubName = name + '[' + subName + ']';
						innerObj = {};
						innerObj[fullSubName] = subValue;
						query += param(innerObj) + '&';
					}
				} else if (value !== undefined && value !== null) {
					//struts2对象匹配处理，
					if(name.indexOf('_') > 0){
						name = name.replace('_', '.');
					}
					query += encodeURIComponent(name) + '='
							+ encodeURIComponent(value) + '&';
				}
			}

			return query.length ? query.substr(0, query.length - 1) : query;
		};

		return angular.isObject(data) && String(data) !== '[object File]'
				? param(data)
				: data;
	}];  
	 $ionicNativeTransitionsProvider.setDefaultOptions({
            duration: 0, // in milliseconds (ms), default 400,
            slowdownfactor: 4, // overlap views (higher number is more) or no overlap (1), default 4
            iosdelay: -1, // ms to wait for the iOS webview to update before animation kicks in, default -1
            androiddelay: -1, // same as above but for Android, default -1
            winphonedelay: -1, // same as above but for Windows Phone, default -1,
            fixedPixelsTop: 0, // the number of pixels of your fixed header, default 0 (iOS and Android)
            fixedPixelsBottom: 0,// the number of pixels of your fixed footer (f.i. a tab bar), default 0 (iOS and Android)
            triggerTransitionEvent: '$ionicView.afterEnter', // internal ionic-native-transitions option
            backInOppositeDirection: false // Takes over default back transition and state back transition to use the opposite direction transition to go back
        });
	 $ionicNativeTransitionsProvider.setDefaultTransition({
         type: 'slide',
         direction: 'left'
     });

     $ionicNativeTransitionsProvider.setDefaultBackTransition({
         type: 'slide',
         direction: 'right'
     });
     
     //禁止侧滑后退事件
     $ionicConfigProvider.views.swipeBackEnabled(false);

     //配置返回按钮文字不显示，为了能按可以的更开心，加空格处理。
     $ionicConfigProvider.backButton.text("&nbsp;&nbsp;&nbsp;&nbsp;");
     $ionicConfigProvider.backButton.previousTitleText(false);

     $ionicConfigProvider.platform.ios.tabs.style('standard');
     $ionicConfigProvider.platform.ios.tabs.position('bottom');
     $ionicConfigProvider.platform.android.tabs.style('standard');
     $ionicConfigProvider.platform.android.tabs.position('standard');

     $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
     $ionicConfigProvider.platform.android.navBar.alignTitle('center');

     $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
     $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

     $ionicConfigProvider.platform.ios.views.transition('ios');
     $ionicConfigProvider.platform.android.views.transition('android');

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider


  // Each tab has its own nav history stack:
  //首页
  .state('home', {
    url: '/home',
      templateUrl: 'templates/tab-home.html',
      controller: 'HomeCtrl'

  })


   
      //网上缴费
      .state('wsjf', {
          url: '/wsjf',
          templateUrl: 'templates/wsjf.html'
      })
    
  
 ;
  
  // if none of the above states are matched, use this as the fallback
 // $urlRouterProvider.otherwise('/tab/home');
  
});


