// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('lzgf', ['ionic', 'starter.controllers', 'starter.services', 'ionic-native-transitions', 'ion-gallery'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider, $ionicNativeTransitionsProvider) {
	
	 $ionicNativeTransitionsProvider.setDefaultOptions({
            duration: 300, // in milliseconds (ms), default 400,
            slowdownfactor: 4, // overlap views (higher number is more) or no overlap (1), default 4
            iosdelay: -1, // ms to wait for the iOS webview to update before animation kicks in, default -1
            androiddelay: -1, // same as above but for Android, default -1
            winphonedelay: -1, // same as above but for Windows Phone, default -1,
            fixedPixelsTop: 0, // the number of pixels of your fixed header, default 0 (iOS and Android)
            fixedPixelsBottom: 0,// the number of pixels of your fixed footer (f.i. a tab bar), default 0 (iOS and Android)
            triggerTransitionEvent: '$ionicView.afterEnter', // internal ionic-native-transitions option
            backInOppositeDirection: false // Takes over default back transition and state back transition to use the opposite direction transition to go back
        });


	    $ionicConfigProvider.platform.ios.tabs.style('standard'); 
        $ionicConfigProvider.platform.ios.tabs.position('bottom');
        $ionicConfigProvider.platform.android.tabs.style('standard');
        $ionicConfigProvider.platform.android.tabs.position('standard');

        $ionicConfigProvider.platform.ios.navBar.alignTitle('center'); 
        $ionicConfigProvider.platform.android.navBar.alignTitle('left');

        $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
        $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');        

        $ionicConfigProvider.platform.ios.views.transition('ios'); 
        $ionicConfigProvider.platform.android.views.transition('android');

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:
  //首页
  .state('tab.home', {
    url: '/home',
    views: {
      'tab-content': {
        templateUrl: 'templates/tab-home.html',
        controller: 'HomeCtrl'
      }
    }
  })
  //主页
 .state('content', {
   url: '/content',
   views: {
     'tab-content': {
       templateUrl: 'templates/tab-content.html'
     }
   }

})
  //政策信息列表
      .state('tab.zcList', {
        url: '/zcList',
        views: {
          'tab-content': {
            templateUrl: 'templates/zcxx.html'

          }
        }
})
   //政策信息列表
      .state('tab.zcDetail', {
          url: '/zcDetail',
          views: {
              'tab-content': {
                  templateUrl: 'templates/zcxx_detail.html'

              }
          }
      })
    //政策信息列表
      .state('tab.messageslist', {
          url: '/messageslist',
          views: {
              'tab-content': {
                  templateUrl: 'templates/messages.html'

              }
          }
      })

      //申请报修列表
      .state('tab.sqbxList', {
          url: '/sqbxList',
          views: {
              'tab-content': {
                  templateUrl: 'templates/sqbx_list.html'
              }
          }
      })
      //申请报修
      .state('tab.sqbx', {
          url: '/sqbx',
          views: {
              'tab-content': {
                  templateUrl: 'templates/sqbx.html',
                  controller: 'sqbxCtrl'
              }
          }
      })
      //报修详情
      .state('tab.sqbxDetail', {
          url: '/sqbxDetail',
          views: {
              'tab-content': {
                  templateUrl: 'templates/sqbx_detail.html'
              }
          }
      })
      //投诉建议列表
      .state('tab.tsjyList', {
          url: '/tsjyList',
          views: {
              'tab-content': {
                  templateUrl: 'templates/tsjy_list.html'
              }
          }
      })
      //投诉建议
      .state('tab.tsjy', {
          url: '/tsjy',
          views: {
              'tab-content': {
                  templateUrl: 'templates/tsjy.html',
                  controller: 'tsjyCtrl'
              }
          }
      })
      //投诉建议详情
      .state('tab.tsjyDetail', {
          url: '/tsjyDetail',
          views: {
              'tab-content': {
                  templateUrl: 'templates/tsjy_detail.html'
              }
          }
      })
      //网上缴费
      .state('tab.wsjf', {
          url: '/wsjf',
          views: {
              'tab-content': {
                  templateUrl: 'templates/wsjf.html'
              }
          }
      })
      //登录
      .state('tab.login', {
          url: '/login',
          views: {
              'tab-content': {
                  templateUrl: 'templates/login.html'

              }
          }
      })
      //注册
      .state('tab.reg', {
          url: '/reg',
          views: {
              'tab-content': {
                  templateUrl: 'templates/reg.html',
                  controller: 'regCtrl'
              }
          }
      })
  //打印
      .state('tab.dy', {
        url: '/dy',
        views: {
          'tab-home': {
            templateUrl: 'templates/dy.html',
              controller: 'zfCtrl'

          }
        }

})

  ;
  
  // if none of the above states are matched, use this as the fallback
 // $urlRouterProvider.otherwise('/tab/home');
  
});


