angular.module('starter.controllers.xm', [])

	.controller('spflistCtrl', function($scope, $rootScope, $state, url, UDI) {
		var xmlisturl = url.xm.xmlist;
		var bc = 'xmlist.load';
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope.params = {
			page: 1,
			keywords: ''
		};
		UDI.removeresult(bc);
    	$scope.xmlistresult = {
			list: [],
			isover: false
		};
    	$scope.loadMore = function () {
			UDI.loadobject(xmlisturl, $scope.params, bc, function (result) {
				$scope.xmlistresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.xmlistresult.isover;
		};
		//跳转到详情页
		$scope.toSpfdetail = function (p) {
			$state.go('spfDetail', {xmmc: p.xmmc});
		};
		
		//关键字搜索
		$scope.kwsearch = function () {
			$scope.params.page = 1;
			UDI.removeresult(bc);
			$scope.loadMore();
		};
	})
	
	.controller('spfdetailCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var xmdetailurl = url.xm.xmdetail;
		var bc = 'xmdetial.load';
		$scope.showloading = true;
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope.params = {
			xmmc: $stateParams.xmmc
		};
		//防止$scope.xmdetial.list数据重复
		UDI.removeresult(bc);
		UDI.loadobject(xmdetailurl, $scope.params, bc, function (result) {
			$scope.zhlist = [];
			$scope.showloading = false;
			$scope.xmdetial = result;
			$scope.xmxx = $scope.xmdetial.xmxx;
			$scope.zhlist = $scope.xmdetial.list;
			$scope.yszlist = $scope.xmdetial.yszlist;
			//跳转到可售房源列表
			$scope.toKsfylist = function () {
				$state.go('ksfyList', {xmmc: $stateParams.xmmc, zhlist: $scope.zhlist});
			};
		});
	})
	
	.controller('ksfylistCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var listurl = url.xm.ksfylist;
		var bc = 'ksfylist.load';
		$scope.params = {
			page: 1,
			zh: '',
			jzmj: '',
			fwyt: '',
			xmmc: $stateParams.xmmc
		};
		UDI.removeresult(bc);
    	$scope.ksfylistresult = {
			list: [],
			isover: false
		};
    	$scope.loadMore = function () {
			UDI.loadobject(listurl, $scope.params, bc, function (result) {
				$scope.ksfylistresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.ksfylistresult.isover;
		};
		//幢删选
		$scope.zhlist = [{value: '', name: '幢不限'}];
		for (var i in $stateParams.zhlist) {
			$scope.zhlist.push({value: $stateParams.zhlist[i].zh, name: $stateParams.zhlist[i].zh});
		}
		$scope.change = function () {
			$scope.params.page = 1;
			UDI.removeresult(bc);
			$scope.loadMore();
		}
		//跳转到价格走势
		$scope.toPrice = function () {
			$state.go('price', {xmmc: $stateParams.xmmc});
		};
		//跳转到详情页
		$scope.godetail = function (x) {
			$state.go('ksfyDetail', {fwid: x.fwid});
		};
	})
	
	.controller('ksfydetailCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var ksfydetailurl = url.xm.ksfydetail;
		var bc = 'ksfydetail.load';
		$scope.params = {
			fwid: $stateParams.fwid
		};
		UDI.loadobject(ksfydetailurl, $scope.params, bc, function (result) {
			$scope.ksfydetail = result.xmksfy;
		});
	})
	
	.controller('priceCtrl', function ($scope, $rootScope, $state, $stateParams, $timeout, url, UDI) {
		var xmdetailurl = url.xm.xmdetail;
		var bc = 'price_xmdetial.load';
		$scope.showloading = true;
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope.params = {
			xmmc: $stateParams.xmmc
		};
		UDI.loadobject(xmdetailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.xmdetial = result;
			$scope.xmxx = $scope.xmdetial.xmxx;
			$scope.pricelist = $scope.xmdetial.pricelist;
			$scope.propertyY = [];
			$scope.priceY = [];
			$scope.propertyX = [];
			$scope.priceX = [];
			for (var i in $scope.pricelist) {
				if (i < 7) {
					$scope.propertyY.push($scope.pricelist[i].htqdsj.split(' ')[0]);
					$scope.propertyX.push($scope.pricelist[i].htjj);
				}
			}
			for (var j = $scope.propertyY.length -1; j >= 0; j--) {
				$scope.propertyY[j] = $scope.propertyY[j].split('-')[1] + '-' +  $scope.propertyY[j].split('-')[2];
				$scope.priceY.push($scope.propertyY[j]);
			}
			for (var m = $scope.propertyX.length -1; m >= 0; m--) {
				$scope.priceX.push($scope.propertyX[m]);
			}
			if ($scope.priceY.length > 0 && $scope.priceX.length > 0) {
				//走势图
				$timeout(function() {
					echartForProperty('pricedetail_linebox', $scope.priceY, $scope.priceX, '元/㎡');
				}, 1000);
			}
		});
	})
	
	.controller('clflistCtrl', function($scope, $rootScope, $state, $stateParams, $timeout, $ionicScrollDelegate, url, UDI) {
		var cyqylisturl = url.xm.cyqylist;
		var gpxxlisturl = url.xm.gpxxlist;
		var urls = [cyqylisturl, gpxxlisturl];
		var bcs = ['cyqylist.load', 'gpxxlist.load'];
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope.tabs = $stateParams.tabs || 0;
		$scope.clf_title = '经纪机构';
		$scope.params = [
 			{page: 1, keywords: '', sffzjg: 0},
 			{page: 1, keywords: '', mdcode: $stateParams.mdcode, rycode: $stateParams.rycode}
 		];
		UDI.removeresult(bcs[0]);
		UDI.removeresult(bcs[1]);
		$scope.result = [
 			{list: [], isover: false},
 			{list: [], isover: false}
 		];
    	$scope.clfChange = function (tabs) {
    		if (tabs == 0) {
    			$scope.clf_title = '经纪机构';
    		} else {
    			$scope.clf_title = '挂牌房源';
    		}
    		$scope.tabs = tabs;
    		$ionicScrollDelegate.$getByHandle('mainScroll').scrollTop();
    	};
    	//关键字搜索
		$scope.kwsearch = function () {
			$scope.params[$scope.tabs].page = 1;
			UDI.removeresult(bcs[$scope.tabs]);
			$scope.loadMore();
		};
		if ($stateParams.tabs != 1) {//从门店或从业人员跳转过来时不执行这段，不然会刷新2条
			UDI.loadobject(urls[1], $scope.params[1], bcs[1], function (result) {
				$scope.result[1] = result;
			});
		}
    	$scope.loadMore = function () {
			UDI.loadobject(urls[$scope.tabs], $scope.params[$scope.tabs], bcs[$scope.tabs], function (result) {
				$scope.result[$scope.tabs] = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.result[$scope.tabs].isover;
		};
		//跳转到门店列表
		$scope.goCompanylist = function (code) {
			$state.go('clfmdList', {sjcode: code});
		}
		$scope.toGpxxdetail = function (x) {
			$state.go('clfList_gpxxdetail', {gpid: x.gpid});
		};
	})
	
	.controller('clfmdlistCtrl', function ($scope, $rootScope, $state, $stateParams, $timeout, url, UDI, $ionicScrollDelegate) {
		var cyrylisturl = url.xm.cyrylist;
		var cyqymdlisturl = url.xm.cyqylist;
		var urls = [cyqymdlisturl, cyrylisturl];
		var bcs = ['cyqymdlist.load', 'cyrylist.load'];
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope.tabs = 0;
		$scope.companyTitle = '门店列表';
		$scope.params = [
 			{page: 1, keywords: '', sffzjg: '', sjcode: $stateParams.sjcode},
 			{page: 1, keywords: '', sjcode: $stateParams.sjcode}
 		];
		UDI.removeresult(bcs[0]);
		UDI.removeresult(bcs[1]);
		$scope.result = [
 			{list: [], isover: false},
 			{list: [], isover: false}
 		];
    	$scope.companyChange = function (tabs) {
    		if (tabs == 0) {
    			$scope.companyTitle = '门店列表';
    		} else {
    			$scope.companyTitle = '从业人员';
    		}
    		$scope.tabs = tabs;
    		$ionicScrollDelegate.$getByHandle('mainScroll').scrollTop();
    	};
    	//关键字搜索
		$scope.kwsearch = function () {
			$scope.params[$scope.tabs].page = 1;
			UDI.removeresult(bcs[$scope.tabs]);
			$scope.loadMore();
		};
		UDI.loadobject(urls[1], $scope.params[1], bcs[1], function (result) {
			$scope.result[1] = result;
		});
    	$scope.loadMore = function () {
			UDI.loadobject(urls[$scope.tabs], $scope.params[$scope.tabs], bcs[$scope.tabs], function (result) {
				$scope.result[$scope.tabs] = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.result[$scope.tabs].isover;
		};
		//从业人员详情
		$scope.toCyrydetail = function (x) {
			$state.go('clfList_cyrydetail', {cyrybh: x.cyrybh, qycode: x.qycode});
		};
		//跳转到挂牌房源列表(从门店)
		$scope.toGpxxlistFormMd = function (x) {
			$state.go('clfList', {mdcode: x.code, tabs: 1});
		};
		//跳转到挂牌房源列表(从人员)
		$scope.toGpxxlistFormRy = function (x) {
			$state.go('clfList', {rycode: x.rycode, tabs: 1});
		};
	})
	.controller('companyinfoCtrl', function ($scope, $rootScope, $state, $stateParams, $timeout, url, UDI) {
		var cyqydetailurl = url.xm.cyqydetail;
		var companypjlisturl = url.xm.companypjlist;
		var bc = 'cyqydetail.load';
		var pjbc = 'companypjlist.load';
		$scope.showloading = true;
		$scope.qyid = $stateParams.qyid;
		$scope._INIT_IMG_YUMING = _INIT_IMG_YUMING;
		$scope.params = {
			qycode: $stateParams.qycode
		};
		$scope.pjparams = {
			qycode: $stateParams.qycode
		};
		$scope.companypjlistresult = {
			list: [],
			isover: false
		};
		UDI.removeresult(pjbc);
    	$scope.loadMore = function () {
    		//评价列表
			UDI.loadobject(companypjlisturl, $scope.pjparams, pjbc, function (result) {
				$scope.companypjlistresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.companypjlistresult.isover;
		};
		//企业详情
		UDI.loadobject(cyqydetailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.cyqydetail = result.cyqyxx;
			$scope.tscount = result.tsb.tscount;
			$scope.pjcount = result.pjcount;
			$scope.myl = result.myl;
			$scope.pjl = result.pjl;
			$scope.qcpic = result.qcpic;
		});
	})
	.controller('cyrydetailCtrl', function ($scope, $rootScope, $state, $stateParams, $timeout, url, UDI) {
		var cyrydetailurl = url.xm.cyrydetail;
		var bc = 'cyrydetail.load';
		$scope.showloading = true;
		$scope._INIT_IMG_YUMING = _INIT_IMG_YUMING;
		$scope.params = {
			cyrybh: $stateParams.cyrybh,
			qycode: $stateParams.qycode
		};
		UDI.loadobject(cyrydetailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.cyrydetail = result.cyrydetail;
			$scope.tscount = result.tsb.tscount;
			$scope.pjcount = result.pjcount;
			$scope.myl = result.myl;
			$scope.pjl = result.pjl;
		});
	})
	.controller('gpxxdetailCtrl', function ($scope, $rootScope, $state, $stateParams, $timeout, $ionicSlideBoxDelegate, url, UDI) {
		var gpxxdetailurl = url.xm.gpxxdetail;
		var bc = 'gpxxdetail.load';
		$scope.showloading = true;
		$scope._INIT_YUMING = _INIT_YUMING;
		$scope._INIT_IMG_YUMING = _INIT_IMG_YUMING;
		$scope.params = {
			gpid: $stateParams.gpid
		};
		//解决轮播自动补全4个的bug
		$scope.slideChanged = function(index) {
			if ( ($ionicSlideBoxDelegate.count() -1 ) == index ) {
				$timeout(function(){
					$ionicSlideBoxDelegate.slide(0);
				},3000);
			}
		};
		UDI.loadobject(gpxxdetailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.gpxxdetail = result.gpxx;
			$scope.otherlist = result.otherlist;
			$scope.piclist = result.piclist.slice(0, 4);
			$ionicSlideBoxDelegate.update();
		});
		$scope.toOtherdetail = function (x) {
			$state.go('clfList_gpxxdetail', {gpid: x.gpid});
		};
	})
	//红黑榜
	.controller('hhbCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var jjqyhhburl = url.xm.hhb;
		var otherhhburl = url.xm.otherhhb;
		var jjqyhhbbc = 'jjqyhhb.load';
		var bc = 'otherhhb.load';
		$scope.jjqyhhbParams = {
			page: 1,
			mdlb: 1
		};
		$scope.otherhhbParams = {
			page: 1,
			mdlb: 1,
			qylb: 1
		};
		$scope.jjqyhhbresult = [
  			{list: [], isover: false}
  		];
		$scope.otherhhbresult = [
            {list: [], isover: false}
        ];
		UDI.removeresult(jjqyhhbbc);
		UDI.removeresult(bc);
		$scope.hhbType=1;
        $scope.qyType=1;
        if($scope.hhbType==1){
            switch ($scope.qyType){
                case 1:
                    $scope.hhb_title="开发企业红榜";
                    break;
                case 2:
                    $scope.hhb_title="经纪机构红榜";
                    break;
                case 3:
                    $scope.hhb_title="物业企业红榜";
                    break;
            }
        } else if($scope.hhbType==2){
            switch ($scope.qyType){
                case 1:
                    $scope.hhb_title="开发企业黑榜";
                    break;
                case 2:
                    $scope.hhb_title="经纪机构黑榜";
                    break;
                case 3:
                    $scope.hhb_title="物业企业黑榜";
                    break;
            }
        }
        $scope.OloadMore = function () {
			UDI.loadobject(otherhhburl, $scope.otherhhbParams, bc, function (result) {
				$scope.otherhhbresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.OhasNextPage = function () {
			return !$scope.otherhhbresult.isover;
		};
		$scope.loadMore = function () {
			UDI.loadobject(jjqyhhburl, $scope.jjqyhhbParams, jjqyhhbbc, function (result) {
				$scope.jjqyhhbresult = result;
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.jjqyhhbresult.isover;
		};
        $scope.hhbChange=function (hhbType) {
            $scope.hhbType=hhbType;
            $scope.jjqyhhbParams.page = 1;
            $scope.otherhhbParams.page = 1;
            $scope.jjqyhhbParams.mdlb = hhbType;
            $scope.otherhhbParams.mdlb = hhbType;
            if($scope.hhbType==1){
                switch ($scope.qyType){
                    case 1:
                        $scope.hhb_title="开发企业红榜";
                        break;
                    case 2:
                        $scope.hhb_title="经纪机构红榜";
                        break;
                    case 3:
                        $scope.hhb_title="物业企业红榜";
                        break;
                }
            } else if($scope.hhbType==2){
                switch ($scope.qyType){
                    case 1:
                        $scope.hhb_title="开发企业黑榜";
                        break;
                    case 2:
                        $scope.hhb_title="经纪机构黑榜";
                        break;
                    case 3:
                        $scope.hhb_title="物业企业黑榜";
                        break;
                }
            }
            UDI.removeresult(jjqyhhbbc);
            UDI.removeresult(bc);
            $scope.loadMore();
            $scope.OloadMore();
        }

        $scope.qyTypeChange=function (qyType) {
        	$scope.otherhhbParams.page = 1;
            $scope.otherhhbParams.qylb = qyType;
            $scope.qyType=qyType;
            if ($scope.hhbType == 1) {
            	switch ($scope.qyType){
	                case 1:
	                    $scope.hhb_title="开发企业红榜";
	                    break;
	                case 2:
	                    $scope.hhb_title="经纪机构红榜";
	                    break;
	                case 3:
	                    $scope.hhb_title="物业企业红榜";
	                    break;
	            }
            } else {
            	switch ($scope.qyType){
	                case 1:
	                    $scope.hhb_title="开发企业黑榜";
	                    break;
	                case 2:
	                    $scope.hhb_title="经纪机构黑榜";
	                    break;
	                case 3:
	                    $scope.hhb_title="物业企业黑榜";
	                    break;
	            }
            }
            UDI.removeresult(bc);
            $scope.OloadMore();
        }
	})
	//星级物业列表
	.controller('xjwyListCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var xjwylisturl = url.wyqyxx.list;
		var bc = 'xjwylist.load';
		$scope.params = {
			page: 1,
			keywords: ''
		};
		$scope.xjwyresult = [
  			{list: [], isover: false}
  		];
		UDI.removeresult(bc);
		$scope.loadMore = function () {
			UDI.loadobject(xjwylisturl, $scope.params, bc, function (result) {
				$scope.xjwyresult = result;
				for (var i in $scope.xjwyresult.list) {
					$scope.xjwyresult.list[i].pddjValue = '';
					for (var j = 0; j < $scope.xjwyresult.list[i].pddj; j++) {
						if (j < $scope.xjwyresult.list[i].pddj) {
							$scope.xjwyresult.list[i].pddjValue += 'A ';
						}
					}
				}
				$rootScope.$broadcast('scroll.infiniteScrollComplete');
			});
		};
		$scope.hasNextPage = function () {
			return !$scope.xjwyresult.isover;
		};
		$scope.kwsearch = function () {
			$scope.params.page = 1;
			UDI.removeresult(bc);
			$scope.loadMore();
		};
	})
	//星级物业详情
	.controller('xjwyDetailCtrl', function ($scope, $rootScope, $state, $stateParams, url, UDI) {
		var xjwydetailurl = url.wyqyxx.detail;
		var bc = 'wyqyxxdetail.load';
		$scope.showloading = true;
		$scope.params = {
			id: $stateParams.id
		};
		UDI.loadobject(xjwydetailurl, $scope.params, bc, function (result) {
			$scope.showloading = false;
			$scope.wyqyxx = result.wyqyxx;
		});
	})
