var lineChart;
/**
 * 走势图生成js
 * @param linebox 走势图所在的div的id
 * @param timelist 走势图的时间队列
 * @param datalist 走势图的数据队列
 */
function echartForProperty(linebox, timelist, datalist, dw) {
	lineChart= echarts.init(document.getElementById(linebox));
	var option = {
		tooltip : {
			trigger: 'axis',
			formatter:  '{b0}<br />{c0}' + dw
		},
		grid: {
			show:false,
			top: '3%',
			left: '3%',
			right: '5%',
			bottom: '3%',
			borderWidth: 2,
			containLabel: true,
		},
		xAxis: [
			{
				type : 'category',
				boundaryGap : false,
				data : timelist,
				axisLine : {
					lineStyle:{
						color: '#dddddd'
					}
				},
				axisTick : {
					lineStyle : {
						color: '#dddddd'
					}
				},
				axisLabel : {
					textStyle : {
						color: '#999',
						fontFamily: 'Helvetica, Arial, "Microsoft Yahei", sans-serif'
					}
				}
			}
		],
		yAxis: [
			{
				type : 'value',
				axisLine : {
					lineStyle:{
						color: '#dddddd'
					}
				},
				axisTick : {
					lineStyle : {
						color: '#dddddd'
					}
				},
				axisLabel : {
					textStyle : {
						color: '#999',
						fontFamily: 'Helvetica, Arial, "Microsoft Yahei", sans-serif'
					}
				}
			}
		],
		series : [				        
			{
				name:'签约均价',
				type:'line',
				stack: null,
				smooth: true,
				symbolSize:6,
				label: {
					normal: {
						show: false,
						position: 'top',
					}
				},
				itemStyle:{
					normal: {
						color:'#27ae61',
						borderWidth:1,
					}
				},
				lineStyle:{
					normal: {
						width:1.5,
					}
				},
				areaStyle:{
					normal: {
						color:'rgba(39, 174, 97, .3)',
					}
				},
				data:datalist
			}
		],
		textStyle :{
			fontFamily: 'Helvetica, Arial, "Microsoft Yahei", sans-serif'
		}
	};
	lineChart.setOption(option);
}