angular.module('lzgf.services.UDI', [])
	.factory('UDI', function ($resource, $rootScope) {
		var data = {};
		var broadcast = 'broadcast.default';
		return {
			loadlist: function (url, params, bc) {
				$resource(url, params, {query: {timeout: 20000, isArray: true}}).query({
					uuid: localStorage.uuid,
					openid: localStorage.openid
				}, function (r) {
					data[bc] = r;
					if(params.page) {
						params.page++;
					}
					$rootScope.$broadcast(bc);
				});
			},
			loadobject: function (url, params, bc, func) {
				$resource(url, params, {query: {timeout: 20000, isArray: false}}).query({
					uuid: localStorage.uuid,
					openid: localStorage.openid
				}, function (r) {
					if (data[bc]) {
						if (data[bc].list) {
							var newlist = data[bc].list.concat(r.list);
							data[bc] = r;
							data[bc].list = newlist;
						} else {
							data[bc] = r;
						}
					} else {
						data[bc] = r;
					}
					if(params.page) {
						params.page++;
					}
					$rootScope.$broadcast(bc);
					if (typeof(func) == 'function') {
						func(data[bc]);
					}
				});
			},
			loadobjectzww: function (url, params, bc, func) {
				$resource(url, params, {query: {timeout: 20000, isArray: false}}).query({
					uuid: localStorage.uuid,
					openid: localStorage.openid
				}, function (r) {
					if (data[bc]) {
						if (data[bc].ResList) {
							var newlist = data[bc].ResList.concat(r.ResList);
							data[bc] = r;
							data[bc].ResList = newlist;
						} else {
							data[bc] = r;
						}
					} else {
						data[bc] = r;
					}
					//第一页page为0
					params.page++;
					$rootScope.$broadcast(bc);
					if (typeof(func) == 'function') {
						func(data[bc]);
					}
				});
			},
			loadobjectwithoutuuid: function (url, params, bc) {
				$resource(url, params, {query: {timeout: 20000, isArray: false}}).query({}, function (r) {
					if (data[bc]) {
						if (data[bc].list) {
							var newlist = data[bc].list.concat(r.list);
							data[bc] = r;
							data[bc].list = newlist;
						} else {
							data[bc] = r;
						}
					} else {
						data[bc] = r;
					}
					if(params.page) {
						params.page++;
					}
					$rootScope.$broadcast(bc);
				});
			},
			saveobject: function (url, params, bc, func) {
				$resource(url, {}, {
					save: {
						method: 'post',
						cache: true,
						timeout: 20000
					}
				}).save({
					uuid: localStorage.uuid,
					openid: localStorage.openid
				}, params, function (r) {
					data[bc] = r;
					$rootScope.$broadcast(bc);
					if (typeof(func) == 'function') {
						func(data[bc]);
					}
				});
			},
			removeresult: function (bc) {
				data[bc] = null;
			},
			getresult: function (bc) {
				return data[bc];
			}
		}
	})
;
