angular.module('lzgf.services.upload', [])
	.factory('uploadFactory', function ($resource, $rootScope, $timeout, $ionicActionSheet) {
		var _success;
		function defaultsuccess () {
			$rootScope.alert('上传成功.');
		}
		function choiceImageDefault(message) {
			if (message != 'no image selected' && message != 'Selection cancelled.') {
				navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
			}
		}
		function choiceImage(imageURI) {
			//此处执行文件上传的操作，上传成功后执行下面代码
			imageURI = decodeURIComponent(imageURI);
			var imgs = imageURI.split(':');
			var uploadurl = _INIT_YUMING + '/esf/SuperUpload_uploadapp.jspx';
			if (imgs.length == 3) {
				imageURI = 'content://media/external/images/media/' + imgs[2];
			}
			if (imageURI.split('.').length == 1) {
				uploadurl = _INIT_YUMING + '/esf/SuperUpload_uploadAndroid44.jspx';
			}
			if (imageURI.split('?').length > 1) {
				imageURI = imageURI.split('?')[0];
			}
			$timeout(function () {
				var options = new FileUploadOptions(); //文件参数选项
				options.fileKey = "fileName";//向服务端传递的file参数的parameter name
				options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);//文件名
				//options.mimeType = "image/jpeg";//文件格式，默认为image/jpeg
				options.mimeType = "multipart/form-data";
				var ft = new FileTransfer();//文件上传类
				ft.upload(imageURI, encodeURI(uploadurl), function (d) {
					var response = JSON.parse(d.response);
					// $('#headimage').val(response.path);
					if (response.flag) {
						if (typeof(_success) == 'function') {
							_success(response);
						}
					} else {
						$rootScope.alert('上传出现异常');
					}
				}, null, options);
			}, 100);
		}
		function upload(success) {
			_success = success;
			if (checkerror()) {
				//拍照上传并显示在屏幕
				navigator.camera.getPicture(choiceImage, choiceImageDefault, {
					destinationType: Camera.DestinationType.FILE_URI,//这里要用FILE_URI，才会返回文件的URI地址
					targetWidth: 1080,
					targetHeight: 1920
				});
			}
		}
		function uploadLocal(success) {
			_success = success;
			if (checkerror()) {
				//拍照上传并显示在屏幕
				navigator.camera.getPicture(choiceImage, choiceImageDefault, {
					destinationType: Camera.DestinationType.FILE_URI,//这里要用FILE_URI，才会返回文件的URI地址
					sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
					targetWidth: 1080,
					targetHeight: 1920
				});
			}
		}
		function checkerror() {
			if (typeof(navigator) == 'undefined' || typeof(navigator.camera) == 'undefined') {
				$rootScope.alert('请在APP中使用该功能!');
				return false;
			} else {
				return true;
			}
		}
		return {
			upload : upload,
			uploadLocal : uploadLocal,
			show : function(success) {
				var hideSheet= $ionicActionSheet.show({
					cancelOnStateChange:true,
					cssClass:'action_s',
					buttons: [
						{ text: "<span class='tm-grey9'>拍照</span>"},
						{ text: "<span class='tm-grey9'>从手机相册选择</span>" }
					],
					buttonClicked: function(index) {
						if (index == 0) {
							upload(success);
						} else {
							uploadLocal(success);
						}
						return true;
					},
					cancelText: "取消",
					cancel: function() {
						return true;
					}
				});
			}
		}
	})
;
